/*
 * Code for class WEL_RASTER_OPERATIONS_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F290_5487(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5488(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5489(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5490(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5491(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5492(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5493(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5494(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5495(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5496(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5497(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5498(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5499(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5500(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5501(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5502(EIF_REFERENCE);
extern EIF_TYPED_VALUE F290_5503(EIF_REFERENCE);
extern void EIF_Minit290(void);

#ifdef __cplusplus
}
#endif

#include "wel.h"

#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.srccopy */
EIF_TYPED_VALUE F290_5487 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13369376L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.srcpaint */
EIF_TYPED_VALUE F290_5488 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15597702L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.srcand */
EIF_TYPED_VALUE F290_5489 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8913094L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.srcinvert */
EIF_TYPED_VALUE F290_5490 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6684742L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.srcerase */
EIF_TYPED_VALUE F290_5491 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4457256L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.notsrccopy */
EIF_TYPED_VALUE F290_5492 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3342344L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.notsrcerase */
EIF_TYPED_VALUE F290_5493 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1114278L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.mergecopy */
EIF_TYPED_VALUE F290_5494 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12583114L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.mergepaint */
EIF_TYPED_VALUE F290_5495 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12255782L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.patcopy */
EIF_TYPED_VALUE F290_5496 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15728673L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.patpaint */
EIF_TYPED_VALUE F290_5497 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16452105L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.patinvert */
EIF_TYPED_VALUE F290_5498 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5898313L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.dstinvert */
EIF_TYPED_VALUE F290_5499 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5570569L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.blackness */
EIF_TYPED_VALUE F290_5500 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 66L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.whiteness */
EIF_TYPED_VALUE F290_5501 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16711778L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.maskpaint */
EIF_TYPED_VALUE F290_5502 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2229030L);
	return r;
}

/* {WEL_RASTER_OPERATIONS_CONSTANTS}.maskcopy */
EIF_TYPED_VALUE F290_5503 (EIF_REFERENCE Current)
{
	GTCX
	char *l_feature_name = "maskcopy";
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTSN;
	RTDA;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	RTLU (SK_INT32, &Result);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 289, Current, 0, 0, 5600);
	RTSA(Dtype(Current));
	RTSC;
	RTME(Dtype(Current), 1);
	RTDBGEAA(289, Current, 5600);
	RTIV(Current, RTAL);
	Result = (EIF_INTEGER_32) MAKEROP4(SRCCOPY, 0xAA0029);
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(1);
	RTDBGLE;
	RTMD(1);
	RTLE;
	RTLO(2);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_INT32; r.it_i4 = Result; return r; }
}

void EIF_Minit290 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
